<div>
  <ng-container *ngIf="detectionEvent$ | async as detectionEvent">

    <mat-card appearance="outlined">
    <div class="icon-panel-container">
      <div class="data-field">
        <mat-icon class="material-icons-round"> schedule </mat-icon>
        <div class="icon-label">Detection Run At</div>
        <div class="value-field">{{ this.detectionRunTime() | sentinelDateTimeFormat }}</div>
      </div>
      <div class="data-field">
        <mat-icon class="material-icons-round"> view_comfy </mat-icon>
        <div class="icon-label">Type of Event</div>
        <div class="value-field">{{ this.eventTypeFormatted }}</div>
      </div>
      <div class="data-field">
        <mat-icon class="material-icons-round"> edit_calendar </mat-icon>
        <div class="icon-label">Level Title</div>
        <div class="value-field">{{ detectionEvent.levelTitle }}</div>
      </div>
      <div class="data-field">
        <mat-icon class="material-icons-round"> pin </mat-icon>
        <div class="icon-label">Level Order</div>
        <div class="value-field">{{ detectionEvent.levelOrder }}</div>
      </div>
      <ng-container *ngIf="isNotForbidden(detectionEvent)">
        <div class="data-field">
          <mat-icon class="material-icons-round"> people </mat-icon>
          <div class="icon-label">Number of Participants</div>
          <div class="value-field">{{ detectionEvent.participantCount }}</div>
        </div>
      </ng-container>
      <div class="data-field" *ngIf="locationSimilarityEvent$ | async as locationSimilarityEvent">
          <mat-icon class="material-icons-round"> web </mat-icon>
          <div class="icon-label">Domain Name</div>
          <div class="value-field">{{ locationSimilarityEvent.dns }}</div>
          </div>
      <div class="data-field" *ngIf="locationSimilarityEvent$ | async as locationSimilarityEvent">
          <mat-icon class="material-icons-round"> domain </mat-icon>
          <div class="icon-label">Is Address of Deployment</div>
          <div class="value-field">{{ locationSimilarityEvent.isAddressDeploy ? "Yes" : "No" }}</div>
        </div>
      <div class="data-field" *ngIf="timeProximityEvent$ | async as timeProximityEvent">
          <mat-icon class="material-icons-round"> history </mat-icon>
          <div class="icon-label">Proximity Threshold</div>
          <div class="value-field">{{ timeProximityEvent.threshold + " seconds" }}</div>
        </div>
      <div class="data-field" *ngIf="answerSimilarityEvent$ | async as answerSimilarityEvent">
        <mat-icon class="material-icons-round"> assignment_ind </mat-icon>
        <div class="icon-label">Answer Owner</div>
        <div class="value-field">{{ answerSimilarityEvent.answerOwner }}</div>
      </div>
      <div class="data-field" *ngIf="answerSimilarityEvent$ | async as answerSimilarityEvent">
        <mat-icon class="material-icons-round"> done </mat-icon>
        <div class="icon-label">Answer</div>
        <div class="value-field">{{ answerSimilarityEvent.answer }}</div>
      </div>
      <div class="data-field" *ngIf="minimalSolveTimeEvent$ | async as minimalSolveTimeEvent">
        <mat-icon class="material-icons-round"> pending_actions </mat-icon>
        <div class="icon-label">Minimal Solve Time</div>
        <div class="value-field">{{ minimalSolveTimeEvent.minimalSolveTime + " seconds" }}</div>
      </div>
      </div>
    </mat-card>
    <mat-divider></mat-divider>
    <div class="content">
      <h1>Participants</h1>
      <sentinel-table
        [defaultSortDirection]="INIT_SORT_DIR"
        [defaultSortName]="INIT_SORT_NAME"
        [data]="participants$ | async"
        [hasError]="participantTableHasError$ | async"
        [isLoading]="participantTableIsLoading$ | async"
        [displayedActionsCount]="4"
        (rowAction)="onParticipantTableAction($event)"
      >
      </sentinel-table>
    </div>
      <div *ngIf="forbiddenCommandsEvent$ | async as forbiddenCommandsEvent">
        <div  *ngIf="detectionEvent$ | async as detectionEvent" class="content">
          <h1>Forbidden Commands in {{ detectionEvent.levelTitle }}</h1>
          <div class="forbidden-commands-table">
            <sentinel-table
              [defaultSortDirection]="INIT_SORT_DIR"
              [defaultSortName]="INIT_SORT_NAME"
              [data]="forbiddenCommands$ | async"
              [hasError]="forbiddenCommandsTableHasError$ | async"
              [isLoading]="forbiddenCommandsTableIsLoading$ | async"
              [displayedActionsCount]="4"
              (rowAction)="onForbiddenCommandTableAction($event)"
              >
            </sentinel-table>
          </div>
        </div>
        <ng-container *ngIf="detectionEvent$ | async as detectionEvent">
          <div class="content">
            <mat-expansion-panel [expanded]="true">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  <span>Timeline</span>
                </mat-panel-title>
              </mat-expansion-panel-header>
              <kypo-timeline
                [trainingRunId]="detectionEvent.trainingRunId"
                [detectionEventId]="forbiddenCommandsEvent.id"
                [isForbidden]="true"
                [isStandalone]="true"
              >
              </kypo-timeline>
            </mat-expansion-panel>
          </div>
        </ng-container>
      </div>
  </ng-container>
</div>
